### Constructor

# Gsk RepeatNode new

#### Declaration [src]

    GskRenderNode*
    gsk_repeat_node_new (
      const graphene_rect_t* bounds,
      GskRenderNode* child,
      const graphene_rect_t* child_bounds
    )

#### Description [src]

Creates a `GskRenderNode` that will repeat the drawing of `child` across the given `bounds`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| The bounds of the area to be painted.
| The data is owned by the caller of the function.
`child` | `GskRenderNode`
| The child to repeat.
| The data is owned by the caller of the function.
`child_bounds` | `const graphene_rect_t*`
| The area of the child to repeat or `NULL` to use the child’s bounds.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GskRepeatNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.